package com.fs.company.mapper;

import com.fs.company.domain.CompanyRoleDept;

import java.util.List;

/**
 * 角色和部门关联Mapper接口
 * 
 * @author fs
 * @date 2021-05-25
 */
public interface CompanyRoleDeptMapper 
{
    /**
     * 查询角色和部门关联
     * 
     * @param roleId 角色和部门关联ID
     * @return 角色和部门关联
     */
    public CompanyRoleDept selectCompanyRoleDeptById(Long roleId);

    /**
     * 查询角色和部门关联列表
     * 
     * @param companyRoleDept 角色和部门关联
     * @return 角色和部门关联集合
     */
    public List<CompanyRoleDept> selectCompanyRoleDeptList(CompanyRoleDept companyRoleDept);

    /**
     * 新增角色和部门关联
     * 
     * @param companyRoleDept 角色和部门关联
     * @return 结果
     */
    public int insertCompanyRoleDept(CompanyRoleDept companyRoleDept);

    /**
     * 修改角色和部门关联
     * 
     * @param companyRoleDept 角色和部门关联
     * @return 结果
     */
    public int updateCompanyRoleDept(CompanyRoleDept companyRoleDept);

    /**
     * 删除角色和部门关联
     * 
     * @param roleId 角色和部门关联ID
     * @return 结果
     */
    public int deleteCompanyRoleDeptById(Long roleId);

    /**
     * 批量删除角色和部门关联
     * 
     * @param roleIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyRoleDeptByIds(Long[] roleIds);

    int batchRoleDept(List<CompanyRoleDept> list);
}
